com.opensymphony.xwork2.ognl

## Class DefaultOgnlExpressionCacheFactory<Key,Value>

- java.lang.Object
- - com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory<Key,Value>
  - - com.opensymphony.xwork2.ognl.DefaultOgnlExpressionCacheFactory<Key,Value>

- Type Parameters:
    `Key` - The type for the cache key entries
    `Value` - The type for the cache value entries
  All Implemented Interfaces:
    ExpressionCacheFactory<Key,Value>, OgnlCacheFactory<Key,Value>

      public class DefaultOgnlExpressionCacheFactory<Key,Value>
      extends DefaultOgnlCacheFactory<Key,Value>
      implements ExpressionCacheFactory<Key,Value>

  Default OGNL Expression Cache factory implementation.

  Currently used for Expression cache creation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.ognl.OgnlCacheFactory

      `OgnlCacheFactory.CacheType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultOgnlExpressionCacheFactory()` Deprecated. since 6.4.0, use `DefaultOgnlExpressionCacheFactory(String, String)`
    `DefaultOgnlExpressionCacheFactory(String cacheMaxSize, String defaultCacheType)`

  - ### Method Summary

    - ### Methods inherited from class com.opensymphony.xwork2.ognl.DefaultOgnlCacheFactory

      `buildOgnlCache, buildOgnlCache, getCacheMaxSize, getDefaultCacheType, setCacheMaxSize, setUseLRUCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.opensymphony.xwork2.ognl.OgnlCacheFactory

      `buildOgnlCache, buildOgnlCache, buildOgnlCache, getCacheMaxSize, getDefaultCacheType, getUseLRUCache`

- - ### Constructor Detail

    - #### DefaultOgnlExpressionCacheFactory

          @Deprecated
          public DefaultOgnlExpressionCacheFactory()

      Deprecated. since 6.4.0, use `DefaultOgnlExpressionCacheFactory(String, String)`

    - #### DefaultOgnlExpressionCacheFactory

          public DefaultOgnlExpressionCacheFactory(String cacheMaxSize,
                                                   String defaultCacheType)

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.